KeySetOperationContext (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.cache.operations

## Class KeySetOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.KeySetOperationContext

- Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      public class KeySetOperationContext
      extends OperationContext

  Encapsulates a `OperationContext.OperationCode.KEY_SET` operation for both the pre-operation and post-operation cases.
  Since:
    GemFire 5.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeySetOperationContext(boolean postOperation)` Deprecated. Constructor for the operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set` | `getKeySet()` Deprecated. Get the set of keys returned as a result of `Region.keySet()` operation.
    `OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.
    `boolean` | `isPostOperation()` Deprecated. True if the context is for post-operation.
    `void` | `setKeySet(java.util.Set keySet)` Deprecated. Set the keys to be returned as the result of `Region.keySet()` operation.
    `void` | `setPostOperation()` Deprecated. Set the post-operation flag to true.

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeySetOperationContext

          public KeySetOperationContext(boolean postOperation)

      Deprecated.
      Constructor for the operation.
      Parameters:
        `postOperation` - true to set the post-operation flag

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Specified by:
        `getOperationCode` in class `OperationContext`
      Returns:
        `OperationCode.KEY_SET`.

    - #### isPostOperation

          public boolean isPostOperation()

      Deprecated.
      True if the context is for post-operation.
      Specified by:
        `isPostOperation` in class `OperationContext`

    - #### setPostOperation

          public void setPostOperation()

      Deprecated.
      Set the post-operation flag to true.

    - #### getKeySet

          public java.util.Set getKeySet()

      Deprecated.
      Get the set of keys returned as a result of `Region.keySet()` operation.
      Returns:
        the set of keys

    - #### setKeySet

          public void setKeySet(java.util.Set keySet)

      Deprecated.
      Set the keys to be returned as the result of `Region.keySet()` operation.
      Parameters:
        `keySet` - the set of keys to be returned for this operation.